Listar mensagens
curl --request GET \
--url https://api.notifique.dev/v1/chat/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/chat/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/conversations/{id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clxxmsg...",
"conversationId": "cnv_xxxxx",
"type": "TEXT",
"body": "Oi, Alice",
"createdAt": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"mediaUrl": null,
"replyToId": "<string>",
"clientMessageId": "msg_text_001",
"deletedAt": "2023-11-07T05:31:56Z",
"sender": {
"id": "<string>",
"externalUserId": "user_alice",
"name": "<string>",
"kind": "USER"
}
}
]
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Mensagens
Listar mensagens
GET
/
v1
/
chat
/
conversations
/
{id}
/
messages
Listar mensagens
curl --request GET \
--url https://api.notifique.dev/v1/chat/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/chat/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/conversations/{id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clxxmsg...",
"conversationId": "cnv_xxxxx",
"type": "TEXT",
"body": "Oi, Alice",
"createdAt": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"mediaUrl": null,
"replyToId": "<string>",
"clientMessageId": "msg_text_001",
"deletedAt": "2023-11-07T05:31:56Z",
"sender": {
"id": "<string>",
"externalUserId": "user_alice",
"name": "<string>",
"kind": "USER"
}
}
]
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Autorizações
ntfChatBearerAuthntfChatApiKeyHeader
API Key sk_live_… / sk_test_… ou JWT do usuário do chat (eyJ…).
Parâmetros de caminho
Parâmetros de consulta
Intervalo obrigatório:
x <= 100Esta página foi útil?

